use strict;
use warnings;

use Cwd qw(cwd);
use POSIX qw(uname);
use Test::More;
use Test::Command::Simple;

my $arch = (POSIX::uname)[4];
my $basepath = Cwd::cwd();

run('sudo groupadd -f afpusers');
run('sudo useradd -G afpusers atalk1');
run('sudo useradd -G afpusers atalk2');
run('echo "atalk1:afpafp" | sudo chpasswd');
run('echo "atalk2:afpafp" | sudo chpasswd');
run('sudo mkdir -p /tmp/afptest1');
run('sudo mkdir -p /tmp/afptest2');
run('sudo chown atalk1:afpusers /tmp/afptest1');
run('sudo chown atalk1:afpusers /tmp/afptest2');
run('sudo chmod 775 /tmp/afptest1');
run('sudo chmod 775 /tmp/afptest2');
run('sudo cp '.$basepath.'/debian/tests/afp.conf /etc/netatalk/');
run_ok('sudo netatalk');
sleep(2);
run_ok($basepath.'/obj-'.$arch.'-linux-gnu/test/testsuite/spectest -7 -h 127.0.0.1 -p 548 -u atalk1 -d atalk2 -w afpafp -s test1 -S test2');

done_testing;

